Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001500KdenliveRenderingpublic2010-03-11 00:422011-06-20 23:05
Reporterneoarttec 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusnewResolutionopen 
Platform32 bit intel and alikeOSopenSuseOS Version11.3
Product Version0.7.7 
Target VersionFixed in Version 
Summary0001500: SVG Does Not Render Propely
DescriptionKdenlive is not rendering SVG files with anti-aliasing. Edges on objects have jaggies.
Steps To ReproduceCreate a SVG file in Inkscape.
Insert in Kdenlive project.
Render.
Additional InformationA screen shot of the rendered video is provided.
The original SVG file is also provided.

Until this is resolved, I will have to export the SVG files as a bitmap.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Filespng file icon Art-Imaginär-1.png [^] (36,982 bytes) 2010-03-11 00:42


zip file icon FV-MPP-01.svg.zip [^] (8,453 bytes) 2010-03-11 00:56
zip file icon FV-title.01.svg.zip [^] (8,572 bytes) 2010-03-11 00:57
zip file icon End-Credits-Text.svg.zip [^] (2,370 bytes) 2011-06-20 21:02

- Relationships
has duplicate 0001485new Image Alpha Transparency does not work as expected 
has duplicate 0001456new no anti-aliasing of transparent title clips without compositing 

-  Notes
(0004805)
neoarttec (reporter)
2010-03-11 01:13

I have identified the issue.

FV-MPP-01.svg does not have "background". The SVG text / objects have nothing behind them. The document properties define the background as black. The text / objects do NOT render with anti-aliasing.

FV-title.01.svg however uses a black object behind the text / objects to provide the black background. The text / objects DO render with anti-aliasing.

When the text / objects in file FV-MPP-01.svg are provided with a background object, as in FV-title.01.svg, the text / objects now render with anti-aliasing.
(0004813)
ttill (developer)
2010-03-12 15:08

If you want anti-aliasing to work with a image having a transparent background you have to add a composite transition.
(0004832)
neoarttec (reporter)
2010-03-17 00:53

ttill what I wrote was, the image has a background colour defined. If you actually open the SVG in something like Inkscape you will see what I mean.

As for the "use a composite transition" sticky tape solution, I have already posted about this. Other users also agree. Why should I have to use a transition to use an alpha transparency? Every other graphic program understands that objects or layers with alpha transparency stacked above others, allow them to show through... without any special modes or transitions being set.

The current way Kdenlive treats this is broken. Consider this, what if I have a clip with alpha but want to layer it over multiple clips? I can't, the transition only allows to one clip, plus, it does not allow transition stacking. If any of the other tracks below have a transition applied, the composite won't work.

If I import a bog standard SVG file, I don't expect to have use a cludge to use it. Other programs understand the file and display it correctly.
(0004833)
neoarttec (reporter)
2010-03-17 00:55

ttill, it seems we have already discussed the issue of alpha transparency.

http://www.kdenlive.org/mantis/view.php?id=1485 [^]
(0004834)
ttill (developer)
2010-03-17 17:36

Well, I fully agree with you.
I just wanted to point out a temporary solution.
Sadly I don't have enough time to work on this issue.
(0006396)
ddennedy (developer)
2011-02-08 08:46

Libraries are used to render the SVG (librsvg if installed or Qt otherwise). I suppose these do not understand the background color and gives us an alpha channel. (Not commenting on the need for composite.)
(0006926)
neoarttec (reporter)
2011-06-20 21:04

A new issue with SVG rendering.
Kdenlive incorrectly renders right aligned text.
.svg file attached.
End-Credits-Text.svg.zip
Add file to a Kdenlive project, open file in Inkscape and compare. Inkscape of course renders correctly.
(0006930)
ddennedy (developer)
2011-06-20 23:05

Re: Kdenlive incorrectly renders right aligned text.

Kdenlive does not directly render SVG. librsvg via gdk-pixbuf or QtSvg via QImage renders SVG. This is not under our control.

- Issue History
Date Modified Username Field Change
2010-03-11 00:42 neoarttec New Issue
2010-03-11 00:42 neoarttec File Added: Art-Imaginär-1.png
2010-03-11 00:56 neoarttec File Added: FV-MPP-01.svg.zip
2010-03-11 00:57 neoarttec File Added: FV-title.01.svg.zip
2010-03-11 01:13 neoarttec Note Added: 0004805
2010-03-12 15:08 ttill Note Added: 0004813
2010-03-17 00:53 neoarttec Note Added: 0004832
2010-03-17 00:55 neoarttec Note Added: 0004833
2010-03-17 17:36 ttill Note Added: 0004834
2010-05-01 08:44 ddennedy Relationship added has duplicate 0001485
2010-05-01 08:49 ddennedy Relationship added has duplicate 0001456
2011-02-08 08:46 ddennedy Note Added: 0006396
2011-06-20 21:02 neoarttec File Added: End-Credits-Text.svg.zip
2011-06-20 21:04 neoarttec Note Added: 0006926
2011-06-20 23:05 ddennedy Note Added: 0006930


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker